Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047162
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-06-16 13:362021-06-23 08:02
ReporternicolasurizView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - Confirmed Stable
Regression date2020-04-17
Regression introduced in releaseRR20Q3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6ed11c241e84fb844489d4395304e83a99afc676 [^]
Triggers an Emergency PackNo
Summary

0047162: Users cannot continue with the ticket after adding overpayment in payment methods that do not allow overpayment.

DescriptionUsers cannot continue with the ticket after adding overpayment in payment methods that do not allow overpayment.

Check this video in case of doubts:
https://drive.google.com/file/d/1DSFPTNZjcMKIs-Vl1ID6ZreMKfLpWNtP/view [^]
Steps To Reproduce1-Create a layaway, assign a client to the ticket and add a product.
2-Sinchronyze this ticket.
3-Open it again
4-Add a payment bigger than the requested amount, use a payment method that do not allows overpayment.
5-There should be an “X” that allows to withdraw the payment, but it does not. Also, if the payment method has its overpayment limit configuration set to 0, the user cannot end the ticket.
Proposed SolutionRegardless of configuration of the payment method (reversible, overpayment limit) the option to cancel the payment on a ticket in draft mode should always be there.
TagsNo tags attached.
Attached Filespng file icon Capture.PNG [^] (84,078 bytes) 2021-06-16 13:36


diff file icon 47162_posterminal.diff [^] (744 bytes) 2021-06-22 15:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047212RR21Q2.1 closedranjith_qualiantech_com Users cannot continue with the ticket after adding overpayment in payment methods that do not allow overpayment. 
depends on backport 0047213RR21Q1.4 closedranjith_qualiantech_com Users cannot continue with the ticket after adding overpayment in payment methods that do not allow overpayment. 
caused by defect 0043714 closedranjith_qualiantech_com Arrow to reverse payment method should not be shown if the payment method is not reversable 

-  Notes
(0129730)
hgbot (developer)
2021-06-23 07:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/481 [^]
(0129731)
hgbot (developer)
2021-06-23 08:02

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 37913a2a5377064b6f10d13adc5d1b519fb6a838
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-06-22T19:28:21+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/37913a2a5377064b6f10d13adc5d1b519fb6a838 [^]

Fixed ISSUE-47162: RemovePayment icon should be shown if payment is not Prepayment

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0129732)
hgbot (developer)
2021-06-23 08:02

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/481 [^]

- Issue History
Date Modified Username Field Change
2021-06-16 13:36 nicolasuriz New Issue
2021-06-16 13:36 nicolasuriz Assigned To => Retail
2021-06-16 13:36 nicolasuriz File Added: Capture.PNG
2021-06-16 13:36 nicolasuriz Triggers an Emergency Pack => No
2021-06-17 00:52 rqueralta Assigned To Retail => rqueralta
2021-06-17 00:52 rqueralta Status new => scheduled
2021-06-21 08:03 marvintm Severity critical => major
2021-06-22 13:25 ranjith_qualiantech_com Assigned To rqueralta => ranjith_qualiantech_com
2021-06-22 14:30 ranjith_qualiantech_com Relationship added caused by 0043714
2021-06-22 15:59 ranjith_qualiantech_com File Added: 47162_posterminal.diff
2021-06-23 07:26 hgbot Note Added: 0129730
2021-06-23 07:44 marvintm Regression level => Production - Confirmed Stable
2021-06-23 07:44 marvintm Regression date => 2020-04-17
2021-06-23 07:44 marvintm Regression introduced in release => RR20Q3
2021-06-23 07:44 marvintm Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6ed11c241e84fb844489d4395304e83a99afc676 [^]
2021-06-23 07:44 marvintm Status scheduled => acknowledged
2021-06-23 07:44 marvintm Status acknowledged => scheduled
2021-06-23 08:02 hgbot Resolution open => fixed
2021-06-23 08:02 hgbot Status scheduled => closed
2021-06-23 08:02 hgbot Fixed in Version => RR21Q3
2021-06-23 08:02 hgbot Note Added: 0129731
2021-06-23 08:02 hgbot Note Added: 0129732


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker